Skip to main content
GET
Get a timesheet
A submitted period of time entries for a member, typically representing a week or split-week.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200

id
string

The unique identifier for the object.

start
string<date>

The start date of the timesheet period. Will be in the form YYYY-MM-DD.

end
string<date>

The end date of the timesheet period. Will be in the form YYYY-MM-DD.

createdAt
string<date-time>

The timestamp when the object was created.

submittedOn
string<date-time>

The timestamp when the timesheet was submitted.

hours
number

The total number of hours tracked in this timesheet period.

attestationText
string | null

The statement the member attested to when the timesheet was submitted. null when no attestation was captured.

attestationSignature
string | null

The signature the member provided when attesting to the timesheet. null when no attestation was captured.

member
object

The member this timesheet was submitted for.

timeEntries
object[]

The time entries included in this timesheet.

submittedByMember
object | null

The member who submitted the timesheet. This is the timesheet's own member when they submitted it themselves, and a different member when someone submitted on their behalf. null when the timesheet was submitted through the API, submitted automatically on a schedule, or submitted before this field was introduced.

attested
boolean

Whether the timesheet was attested. This is a calculated value based on whether an attestationSignature was captured.